#ifndef CPROCESS_LOAD_H
#define CPROCESS_LOAD_H
#include "cprocess.h"
class CProcessLoad : CMProcess {
public:
    void MoveToSafePos();
    void MoveToWaitPos();
    void MoveToRailPos();
    void MoveToWtPos();

    void MoveToTop();
    void MoveToBottomRail();
    void MoveToBottomWt();

    void PickUpFromWt();
    void PickUpFromRail();
    void PutDownToWt();
    void PutDownToRail();
public:
    enum msg_id {
        kProcessLoadMsg = MAX_PROCESS_MSG_ID,
        kMaxProcessLoadMsg,
    };
    void do_msg(int iID, QVariantList& vlInput, V_MsgOutput* pvlOutput) override;

};
#endif // CPROCESS_LOAD_H
